API

Update contractor account settings

POST/api/crm/v2/contractors.update_account_settingsv2
operationId: contractors.updateAccountSettings

Updates account settings. Changing the contractor unlinks the previous contractor and links the new one. Enabling bill splitting resets the balances of the account's branches.

Authorization

api-token + language + role

Query parameters

chain_idintegerrequired

Example: 1

Request body application/json

object
One of the options
object
contractor_idintegerrequired

Contractor ID

Example: 1

splitted_invoicesboolean

Issue a separate invoice for each branch

Example: true

sum_invoice_less_minimumboolean

Issue an invoice even if the amount is less than the minimum

Example: true

rounding_invoicesboolean

Round the invoice amount

Example: true

Responses

OK

object
statusstringrequired

Values:successerror

Example: success

dataobject